#ifndef MOT_HANDLER_H
#define MOT_HANDLER_H

/*!
  \file
  \brief mot ファイルの解析を行う

  \author Satofumi KAMIMURA

  $Id: mot_handler.h 1811 2010-04-30 16:12:05Z satofumi $
*/


typedef struct
{
    unsigned long address;
    int data_size;
    char data[16];
} mot_t;


extern int mot_parse(mot_t* mot, const char* line);
extern void mot_place(mot_t* mot);

#endif /* !MOT_HANDLER_H */
